using Sugar.Enties;
using SqlSugar;
using System;
using System.Collections.Generic;
public class BiddingManager : DbContext<Bidding>
{

    //当前类已经继承了 DbContext增、删、查、改的方法

    //这里面写的代码不会给覆盖,如果要重新生成请删除 BiddingManager.cs


    /// <summary>
    /// 获取表主键的最大值
    /// </summary>
    /// <param name="codeName">主键字段名</param>
    /// <returns></returns>
    public string GetSysCodeValue(string codeName)
    {
        var sql = $"declare @value varchar(50);exec sp_get_syscode '{codeName}', @value output;select @value;";
        var code = Db.Ado.GetString(sql);
        return code;
    }



}